export function tabs(doc) {
  return {
    accounts: {
      svg_icon:
        '<svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-palette" width="44" height="44" viewBox="0 0 24 24" stroke-width="1.5" stroke="#2c3e50" fill="none" stroke-linecap="round" stroke-linejoin="round"> <path stroke="none" d="M0 0h24v24H0z" fill="none"/> <path d="M12 21a9 9 0 1 1 0 -18a9 8 0 0 1 9 8a4.5 4 0 0 1 -4.5 4h-2.5a2 2 0 0 0 -1 3.75a1.3 1.3 0 0 1 -1 2.25" /> <circle cx="7.5" cy="10.5" r=".5" fill="currentColor" /> <circle cx="12" cy="7.5" r=".5" fill="currentColor" /> <circle cx="16.5" cy="10.5" r=".5" fill="currentColor" /> </svg>',
      text: "Accounts",
      type: "multi",
      columns: [
        { id: "columnA", title: "Project Info", column_size: 6 },
        { id: "columnB", title: "Firebase Config", column_size: 6 },
      ],
      fields: {
        apiKey: {
          type: "string",
          placeholder: "AIzaSyAG1feuoBLw8S07S9muVIryR-LPJQIUYIUH",
          mandatory: true,
          label: "Api Key",
          size: 12,

          column: "columnB",
        },
        authDomain: {
          type: "string",
          placeholder: "xuda-io.firebaseapp.com",
          mandatory: true,
          label: "Auth Domain",
          size: 12,
          column: "columnB",
        },
        projectId: {
          type: "string",
          placeholder: "xuda-io",
          mandatory: true,
          label: "Project Id",
          size: 12,
          column: "columnB",
        },
        storageBucket: {
          type: "string",
          placeholder: "xuda-io.appspot.com",
          mandatory: true,
          label: "Storage Bucket",
          size: 12,
          column: "columnB",
        },
        messagingSenderId: {
          type: "string",
          placeholder: "960548124335",
          mandatory: true,
          label: "Messaging Sender Id",
          size: 12,
          column: "columnB",
        },
        appId: {
          type: "string",
          placeholder: "1:961248124231:web:005cba365g14bea105c43d",
          mandatory: true,
          label: "App Id",
          size: 12,
          column: "columnB",
        },
        measurementId: {
          type: "string",
          placeholder: "G-02EFRQLBZS",
          mandatory: true,
          label: "Measurement Id",
          size: 12,

          column: "columnB",
        },
        projectNumber: {
          type: "string",
          placeholder: "960548124335",
          mandatory: true,
          label: "Project Number",
          size: 12,
          tooltip:
            "The globally unique, Google-assigned canonical identifier for your Firebase project. Use this identifier when configuring integrations and/or making API calls to Firebase or third-party services.",
          column: "columnA",
        },
        webApiId: {
          type: "string",
          placeholder: "AIzaSyAG1feuoBLw8S07S9muVIryR-LPJQIUYIUH",
          mandatory: true,
          label: "Web Api Key",
          size: 12,
          column: "columnA",
        },
      },
    },
  };
}
